Project

General

Profile

Bug #1396

configure bug in winst PKG_CHECK_MODULES(libpng...

Added by Anonymous over 10 years ago. Updated almost 9 years ago.

Status:
Feedback
Priority:
Normal
Assignee:
Target version:
-
Start date:
08/13/2012
Due date:
% Done:

0%

Estimated time:

Description

$./configure ---prefix=/opt/wt/ ---with-wt-version=3.2.2-p1

./configure: line 1775: syntax error near unexpected token `libpng,'

./configure: line 1775: `PKG_CHECK_MODULES(libpng, libpng >= 1.2.0, have_libpng=yes, true)'

the libpng should be capitalised in the first clause of PKG_CHECK_MODULES.

Tested on ubuntu 12.04 LTS server with autoconf 2.13 and pkg-config 0.26 winst from git.

#1

Updated by Koen Deforche almost 10 years ago

  • Status changed from New to Feedback
  • Assignee set to Koen Deforche

Hey,

What version of winst is this? I couldn't reproduce this (on Ubuntu 12.04.1 LTS).

Recent winst (git) versions contain:

PKG_CHECK_MODULES([libpng], [libpng >= 1.2.0], [have_libpng=yes], [true])

This agrees with what I see happening in other autoconf scripts.

Btw, my autoconf version is :

koen@vierwerf:~/project/wt/winst$ autoconf ---version

autoconf (GNU Autoconf) 2.68

Copyright © 2010 Free Software Foundation, Inc.

License GPLv3+/Autoconf: GNU GPL version 3 or later

<http://gnu.org/licenses/gpl.html>, <http://gnu.org/licenses/exceptions.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.

Written by David J. MacKenzie and Akim Demaille.

Autoconf 2.50 chosen by Debian wrapper script.

For information and tuning advice see autoconf(1).

Regards,

koen

#2

Updated by Benjamin B. almost 9 years ago

Hi,

I can repoduce it under Debian 7.4.0 x64.

I just did a git clone, then autoconf, and it failed when running the generated configure script.

Regards,

sywesk

Also available in: Atom PDF